%define name    kdevmon
%define version 0.4.5
%define release 2mdk

Summary:	A utility for monitoring the throughput of one network device
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Packager:	Laurent Culioli <laurent@mandrakesoft.com>
Group:		Monitoring
Source:		%{name}-%{version}.tar.bz2
URL: 		http://www.Informatik.Uni-Oldenburg.DE/~bigboss/kdevmon/
BuildRoot: 	%_tmppath/%{name}-buildroot
BuildRequires:  kdelibs-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  XFree86-devel


%description
Kdevmon is a utility for KDE that monitors the throughput of a network device.
It docks in Kicker (the panel of KDE 2)  and shows the current network traffic
as a diagram. There also is a resizable main window that provides a larger
traffic diagram and displays the current net speed in bits per second.
Middle-clicking on the dock window or on the main window offers
you an overview of the amount of incoming/outgoing bits and the current and
the maximum bit rate.

%prep

%setup -q

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --with-qt-dir=%_libdir/qt2 \
            --disable-rpath \
	    --prefix=%_prefix \
	    --mandir=%_mandir \
	    --datadir=%_datadir \
	    --disable-debug \
		--enable-final

%make

%install

%makeinstall
install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl Kdevmon "Applications/Monitoring"  %buildroot/%_datadir/applnk/Internet/kdevmon.desktop %buildroot/%_menudir/kdevmon

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog README TODO 
%_menudir/kdevmon
%_bindir/kdevmon
%_datadir/applnk/Internet/kdevmon.desktop
%_docdir/HTML/en/kdevmon/*
%_datadir/icons/locolor/*


%changelog
* Tue Jan 22 2002 Laurent Culioli <laurent@mandrakesoft.com> 0.4.5-2mdk
- rebuild

* Fri Nov 16 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.4.5-1mdk
- updated to 0.4.5

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.4-2mdk
- Rebuild 

* Mon Jul 16 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.4.4-1mdk
- first package




